;-------------------------------------------------------------------------------
; Hogyan írjunk játékot ZX Spectrumra...
; 2. Fejezet - Billentyűzetes és botkormány irányítás
;-------------------------------------------------------------------------------
; Példaprogram 2.1 - Egyszerre csak egy gombot!
;-------------------------------------------------------------------------------
; A legegyszerűbb módszer egy billentyű megnyomásának beolvasására, ha először a 
; 23560-as címre nullát töltünk, majd folyamatosan figyeljük az itt található értéket, 
; amíg nullától különböző értéket nem találunk ott. Az ekkor olvasott szám a leütött 
; billentyű ASCII kódja. Ezt a megoldást leginkább a "Nyomj meg egy gombot a folytatáshoz" 
; szituációkban tudjuk felhasználni, menüpontok kiválasztásánál, vagy a játékos nevének 
; bekéréséhez az elért pontszám rögzítésekor. Egy ilyen rutin a következőképpen nézne ki: 
;-------------------------------------------------------------------------------
; SjAsmPlus v1.07rc verzióval fordítva
;-------------------------------------------------------------------------------

	DEVICE ZXSPECTRUM48

; ide fordítjuk a kódot (32768)
	.org $8000

; címke az sjasmplus számára a kódhossz számításához
start:

	ld	hl, 23560	; LAST K rendszerváltozó címe
	ld	(hl), 0		; nullázzuk
loop	ld	a, (hl)		; LAST K új értéke
	cp	0		; továbbra is 0?
	jr	z, loop		; ha igen, nem történt bill. leütés
	
	ret			; volt gombnyomás

; címke az sjasmplus számára a kódhossz számításához
end:

; a lefordított bináris kódot elmenti
	.savebin "pelda_2_1.bin",start,end-start   
